<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>
        <record id="view_family_bank_report_wizard_form" model="ir.ui.view">
            <field name="name">family.bank.report.wizard.form</field>
            <field name="model">family.bank.report.wizard</field>
            <field name="arch" type="xml">
                <form string="Family Bank Report">
                    <sheet>
                        <group>
                            <group>
                                <field name="start_date"/>
                            </group>
                            <group>
                                <field name="end_date"/>
                            </group>
                        </group>
                        <group>
                            <group>
                                <field name="currency_id" invisible="1"/>
                            </group>
                            <group>
                                <field name="total_amount" widget="monetary" options="{'currency_field': 'currency_id'}" readonly="1" class="oe_subtotal_footer_separator"/>
                            </group>
                        </group>
                        <notebook>
                            <page string="Payment Orders">
                                <field name="payment_order_ids" options="{'no_create': True}"/>
                            </page>
                        </notebook>
                    </sheet>
                    <footer>
                        <button string="Print Excel Report" type="object" name="action_print_bank_report"
                                class="btn-primary" icon="fa-print"/>
                        <button string="Cancel" class="btn-secondary" special="cancel"/>
                    </footer>
                </form>
            </field>
        </record>

        <record id="action_family_bank_report_wizard" model="ir.actions.act_window">
            <field name="name">Family Bank Report</field>
            <field name="res_model">family.bank.report.wizard</field>
            <field name="view_mode">form</field>
            <field name="view_id" ref="view_family_bank_report_wizard_form"/>
            <field name="target">new</field>
        </record>

    </data>
</odoo>